Skip to content

Midaxo Cloud REST API Changelog

Version 1.5 - 25.06.2026

Added pagination support to GET /processes/{processId}/projects/{projectId}/tasks with first and after query parameters. Task list responses now always include a top-level paging object with startCursor, endCursor, and hasNextPage.

Each task in the list response includes custom field values as top-level properties keyed by camelCase externalId (same pattern as project coverpage fields). Empty text, number, date, and single-choice fields use ""; empty multiple-choice fields use []. Added GET /processes/{processId}/task-custom-fields to return the task custom field structure (groups and field definitions) for a process.

Version 1.4 - 27.04.2026

Added updated API response references for /value-tracker/ endpoints.

Version 1.3 - 25.11.2025

Added new API endpoints /users and /user/{userId} to query user information for the workspace. Both endpoints return the same information currently for the User entity. Documented the User entity to the schema.